<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Action\Ticket\Handler;

use Chill\TicketBundle\Action\Ticket\CreateTicketCommand;
use Chill\TicketBundle\Entity\Ticket;

class CreateTicketCommandHandler
{
    public function __invoke(CreateTicketCommand $command): Ticket
    {
        $ticket = new Ticket();
        $ticket->setExternalRef($command->externalReference);

        return $ticket;
    }
}
