<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Action\Ticket;

use Chill\TicketBundle\Entity\Motive;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final readonly class ReplaceMotiveCommand
{
    public function __construct(
        #[Assert\NotNull]
        #[Groups(['write'])]
        public ?Motive $motive,
    ) {}
}
