import { multiSelectMessages } from "../../../../../../../ChillMainBundle/Resources/public/vuejs/_js/i18n";
import { personMessages } from "../../../../../../../ChillPersonBundle/Resources/public/vuejs/_js/i18n";

const messages = {
    fr: {
        ticket: {
            previous_tickets: "Précédents tickets",
            cancel: "Annuler",
            save: "Enregistrer",
            close: "Fermer",
        },
        history: {
            person: "Ouverture par appel téléphonique de ",
            user: "Prise en charge par ",
        },
        add_comment: {
            title: "Commentaire",
            label: "Ajouter un commentaire",
            success: "Commentaire enregistré",
            content: "Ajouter un commentaire",
            error: "Aucun commentaire ajouté",
        },
        set_motive: {
            title: "Motif",
            label: "Choisir un motif",
            success: "Motif enregistré",
            error: "Aucun motif sélectionné",
        },
        add_addressee: {
            title: "Attribuer",
            user_group_label: "Attributer à un groupe",
            user_label: "Attribuer à un ou plusieurs utilisateurs",
            success: "Attribution effectuée",
            error: "Aucun destinataire sélectionné",
        },
        set_persons: {
            title: "Patients concernés",
            user_label: "Ajouter un patient",
        },
        banner: {
            concerned_patient: "Patients concernés",
            speaker: "Attribué à",
            open: "Ouvert",
            since: "Depuis {time}",
            and: "et",
            days: "‎|1 jour|{count} jours",
            hours: "‎|1 heure et|{count} heures",
            minutes: "‎|1 minute|{count} minutes",
            seconds: "‎|1 seconde|{count} secondes",
            no_motive: "Pas de motif",
        },
    },
};
Object.assign(messages.fr, multiSelectMessages.fr);
Object.assign(messages.fr, personMessages.fr);
export default messages;
