<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Controller;

use Chill\MainBundle\CRUD\Controller\ApiController;
use Doctrine\ORM\QueryBuilder;
use Symfony\Component\HttpFoundation\Request;

final class MotiveApiController extends ApiController
{
    protected function customizeQuery(string $action, Request $request, $query): void
    {
        /* @var $query QueryBuilder */
        $query->andWhere('e.active = TRUE');
    }
}
